// Pin definitions
const int redPin = 3;    // Red LED connected to digital pin 3
const int greenPin = 5;  // Green LED connected to digital pin 5
const int bluePin = 6;   // Blue LED connected to digital pin 6

void setup() {
  // Initialize digital pins as outputs pins
  pinMode(redPin, OUTPUT);
  pinMode(greenPin, OUTPUT);
  pinMode(bluePin, OUTPUT);
}

void loop() {
  // Set red color
  digitalWrite(redPin, 1);    // Red ON
  digitalWrite(greenPin, 0);  // Green OFF
  digitalWrite(bluePin, 0);   // Blue OFF
  delay(1000);                // 1 second delay

  // Set green color
  digitalWrite(redPin, 0);    // Red OFF
  digitalWrite(greenPin, 1);  // Green ON
  digitalWrite(bluePin, 0);   // Blue OFF
  delay(1000);                // 1 second delay

  // Set blue color
  digitalWrite(redPin, 0);    // Red OFF
  digitalWrite(greenPin, 0);  // Green OFF
  digitalWrite(bluePin, 1);   // Blue ON
  delay(1000);                // 1 second delay

  // Set purple color
  digitalWrite(redPin, 1);    // Red ON
  digitalWrite(greenPin, 0);  // Green OFF
  digitalWrite(bluePin, 1);   // Blue ON
  delay(1000);                // 1 second delay

  // Set yellow color
  digitalWrite(redPin, 1);    // Red ON
  digitalWrite(greenPin, 1);  // Green ON
  digitalWrite(bluePin, 0);   // Blue OFF
  delay(1000);                // 1 second delay

  // Set cyan color
  digitalWrite(redPin, 0);    // Red OFF
  digitalWrite(greenPin, 1);  // Green ON
  digitalWrite(bluePin, 1);   // Blue ON
  delay(1000);                // 1 second delay

  // Set white color
  digitalWrite(redPin, 1);    // Red ON
  digitalWrite(greenPin, 1);  // Green ON
  digitalWrite(bluePin, 1);   // Blue ON
  delay(1000);                // 1 second delay
}
